﻿Imports System.Collections.Generic
Imports System.Linq

Public Module EnumerableExtensions

    <System.Runtime.CompilerServices.Extension()>
    Public Function Shuffle(Of TSource)(ByVal source As IEnumerable(Of TSource)
                                        ) As IEnumerable(Of TSource)
        Dim _list = source.ToList()
        Dim random As New Random
        Dim listResult As New List(Of TSource)
        For i = _list.Count - 1 To 0 Step -1
            Dim r = random.Next(i + 1)
            listResult.Add(_list(r))
            _list(r) = _list(i)
        Next i
        Return listResult
    End Function

End Module