﻿@Imports WebMatrix.WebData

<h1>Galleries</h1>
@If Model.Count = 1 Then
    @<p>There Is one gallery.</p>
Else
	@<p>There are @Model.Count galleries.</p>
End If
 <ul Class="thumbnails gallery"> 
 @For Each gallery In Model
		 @<li class="gallery">
			<a href="@Url.Action("View", New With {.id = gallery.Id})">
				<img alt="Images from @gallery.Name" src="@Url.Action("Thumbnail", New With {.id = gallery.Id})" class="thumbnail-no-border" />
				<span class="below-image">@gallery.Name</span>
				<span class="image-overlay">@gallery.PhotoCount photo(s)</span>
			</a>
		</li>
 Next
</ul>
<p class="actions">
@If (WebSecurity.IsAuthenticated) Then
	@<a href="@Url.Action("New")">Create a New Gallery</a>
End If 
</p>