﻿<h1>@ViewBag.Name</h1>

@If (Model.Count = 1) Then
    @<p>This gallery contains one photo.</p>
    Else
    @<p>This gallery contains @Model.Count photos.</p>
    End If 
<ul class="thumbnails">
    @For Each photo In Model  
        @<li>
            <a href="@Url.Action("View", "Photo", New With {.id = photo.Id})">
                <img alt="thumbnail of @Path.GetFileNameWithoutExtension(photo.FileTitle)" src="@Url.Action("Thumbnail", "Photo", New With {.id = photo.Id})" class="thumbnail-border" />
                <span class="image-overlay">@Path.GetFileNameWithoutExtension(photo.FileTitle)</span>
            </a>
        </li>
    Next photo
</ul>

@If (WebMatrix.WebData.WebSecurity.IsAuthenticated) Then
    @<p class="actions">
        <a href="@Url.Action("Upload", New With {.id = ViewBag.GalleryId})">Upload a Photo</a>
    </p>
End If 