﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>@ViewData("Title")</title>
    <link href="@Url.Content("~/Content/Site.css")" rel="stylesheet" type="text/css" />
    <script src="@Url.Content("~/Scripts/jquery-1.4.4.min.js")" type="text/javascript"></script>
</head>

<body>
   <div id="banner">
            <p class="site-title"><a href="@Url.Action("Default", "Gallery")">Photo Gallery</a></p>
            <ul id="menu">
                <li class="galleries"><a href="@Url.Action("Default", "Gallery")">Galleries</a></li>
                <li class="tags"><a href="@Url.Action("Default", "Tag")">Tags</a></li>
                <li class="account"><a href="@Url.Action("Default", "User")">Account</a></li>
                <li class="login">
                    @If (WebMatrix.WebData.WebSecurity.IsAuthenticated) Then
                    
                        @<text>Welcome <strong>@WebMatrix.WebData.WebSecurity.CurrentUserName</strong>!
                        <a href="@Url.Action("Logout", "Account")">Logout</a></text>
                    else
                        @<text><a href="@Url.Action("Login", "Account")">Login</a></text>
                End If 
                </li>
            </ul>
        </div>        
        <div id="page">
            @RenderBody()
        </div>
        <div id="footer">
            &copy; @DateTime.Now.Year - Photo Gallery 
        </div>
    </div>
</body>
</html>
