﻿<h1>Edit Profile</h1>

<p>
    Welcome back, @Model.DisplayName.  You may use the below form to change your display name (shown in comments)
    and biography (shown on your <a href="@Url.Action("View", "User", New With {.id = WebMatrix.WebData.WebSecurity.CurrentUserId})">public profile</a>).
</p>

<form method="post" action="">
    <fieldset class="no-legend">
        <legend>Edit Profile</legend>
        <ol>
            <li>
                <label for="displayName">Display name:</label>
                <input type="text" id="displayName" name="displayName" title="Change display name" placeholder="Display name" value="@Model.DisplayName" />
            </li>
            <li>
                <label for="bio">Bio:</label>
                <textarea type="text" id="bio" name="bio" title="Change bio" rows="4" cols="50" placeholder="Biography">@Model.Bio</textarea>
            </li>
        </ol>
        <p class="form-actions">
            <input type="submit" value="Save" title="Save Changes" />
        </p>
    </fieldset>
</form>