﻿@Code
    ' Cache the image for a minute
	Response.OutputCache(60)

	Dim photoId = UrlData(0).AsInt()
	Dim db = Database.Open("PhotoGallery")
	Dim photo = db.QuerySingle("SELECT * FROM Photos WHERE Id = @0", photoId)
	If photo Is Nothing Then
		Response.SetStatus(HttpStatusCode.NotFound)
		Return
	End If

	Response.AppendHeader("Content-Disposition", String.Format("attachment; filename={0}", HttpUtility.UrlPathEncode(photo.FileTitle + photo.FileExtension)))
	CType(New WebImage(New MemoryStream(CType(photo.FileContents,System.Byte()))), WebImage).Write()
End Code