﻿@Code
   Page.Title = "View All Tags"

	Dim db = Database.Open("PhotoGallery")

	Dim tags = db.Query("SELECT Tags_TagName AS TagName, COUNT(*) AS TagCount "&
                        "FROM Photos_Tags " & 
                        "GROUP BY Tags_TagName" &
                        " ORDER BY Tags_TagName").ToList()
End Code

<h1>Tags</h1>

@If tags.Count = 1 Then
    @<p>There is one tag.</p>
Else
    @<p>There are @tags.Count tags.</p>
End If

<ul class="thumbnails gallery">
    @For Each tag In tags
        @<li class="tag">
            <a href="@Href("~/Tag/View", tag.TagName)">
                <img alt="Images from @tag.TagName" src="@Href("~/Tag/Thumbnail", tag.TagName)" class="thumbnail-no-border" />
                <span class="below-image">@tag.TagName</span>
                <span class="image-overlay">@tag.TagCount photo(s)</span>
            </a>
        </li>
    Next tag 
</ul>