﻿@Imports System.Web.WebPages.Scope

@Helper AddMetaTagsAndEvents()
               
    @<meta name="application-name" content="@ApplicationName" />
    @<meta name="msapplication-tooltip" content="@ApplicationName" />
    
    @<meta name="msapplication-starturl" content="./" />
    @<meta name="msapplication-navbutton-color" content="@ApplicationColor" />
    @<meta name="msapplication-window" content="width=800;height=600"/>
    
        @<script type="text/javascript">
        $(document).ready(function(){
            
            $('.ie9AddOverlay').click(function(){
                window.external.msSiteModeSetIconOverlay($(this).attr("data-overlay"), "My Overlay");
            });
            
            $('.ie9ClearOverlay').click(function(){
                window.external.msSiteModeClearIconOverlay();   
            });
            
            $('.ie9WindowActivate').click(function(){
                window.external.msSiteModeActivate();
            });
            
            $('.ie9AddToStart').click(function(){
                window.external.msAddSiteMode(); 
            });
        });
    </script>   
    End Helper
           
     @Helper AddJumpLists()

         'loop
         If IsInitialized Then
             For Each item In JumplistItems
                  @<meta name="msapplication-task" content="name=@item.Name;action-uri=@item.Action;icon-uri=@item.Icon" />
             Next item
         End If
         
     End Helper
         
         
@Functions
    
    Private Shared ReadOnly _isInitializedKey As New Object
    Private Shared ReadOnly _applicaitonName As New Object
    Private Shared ReadOnly _applicaitonColor As New Object
    Private Shared ReadOnly _jumplistItems As New List(Of Object)

    ''' <summary>
    ''' Initialization property. Returns if the instance is initialized within the current scopestorage
    ''' </summary>
    Public Shared Property IsInitialized As Boolean
        Get
            Return CBool(If(ScopeStorage.CurrentScope(_isInitializedKey), False))
        End Get
        Private Set(ByVal value As Boolean)
            ScopeStorage.CurrentScope(_isInitializedKey) = value
        End Set
    End Property

    Public Shared Sub Initialize(ByVal applicationName As String,
                                 ByVal applicationColor As String,
                                 ByVal jumplistItems As List(Of Object))

        applicationName = applicationName
        applicationColor = applicationColor
        jumplistItems = jumplistItems

        If Not applicationName.IsEmpty() Then
            IsInitialized = True
        End If
    End Sub

    Private Shared Property ApplicationName As String
        Get
            Return CStr(If(ScopeStorage.CurrentScope(_applicaitonName), ""))
        End Get
        Set(ByVal value As String)
            ScopeStorage.CurrentScope(_applicaitonName) = value
        End Set
    End Property

    Private Shared Property ApplicationColor As String
        Get
            Return CStr(If(ScopeStorage.CurrentScope(_applicaitonColor), ""))
        End Get
        Set(ByVal value As String)
            ScopeStorage.CurrentScope(_applicaitonColor) = value
        End Set
    End Property

    Private Shared Property JumplistItems As List(Of Object)
        Get
            Return CType(If(ScopeStorage.CurrentScope(_jumplistItems), ""), List(Of Object))
        End Get
        Set(ByVal value As List(Of Object))
            ScopeStorage.CurrentScope(_jumplistItems) = value
        End Set
    End Property
     End Functions