﻿Imports System.Web.Mvc
Imports System.Web.Routing
Imports WebMatrix.WebData

Namespace PhotoGallery
    ' Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    ' visit http://go.microsoft.com/?LinkId=9394801

    Public Class MvcApplication
        Inherits HttpApplication
        Public Shared Sub RegisterGlobalFilters(ByVal filters As GlobalFilterCollection)
            filters.Add(New HandleErrorAttribute)
        End Sub

        Public Shared Sub RegisterRoutes(ByVal routes As RouteCollection)
            routes.RouteExistingFiles = True

            routes.IgnoreRoute("{resource}.axd/{*pathInfo}")
            routes.IgnoreRoute("favicon.ico")

            'Add route for extension support
            'routes.MapRoute(
            '  "LegacyUrl",
            '  "{controller}/{action}.cshtml/{id}",
            '  new { controller = "Gallery", action = "Default", id = UrlParameter.Optional }
            ');

            routes.MapRoute("Default", "{controller}/{action}/{id}", New With {Key .controller = "Gallery", Key .action = "Default", Key .id = UrlParameter.Optional}) ' Parameter defaults -  URL with parameters -  Route name
        End Sub

        Protected Sub Application_Start()
            AreaRegistration.RegisterAllAreas()

            RegisterGlobalFilters(GlobalFilters.Filters)
            RegisterRoutes(RouteTable.Routes)

            WebSecurity.InitializeDatabaseConnection("PhotoGallery", "UserProfiles", "UserId", "Email", True)
        End Sub
    End Class
End Namespace