Imports WebMatrix.Data

Namespace PhotoGallery.Repositories
    Public Class AccountRepository
        Private ReadOnly _database As Database
        Public Sub New()
            _database = Database.Open("PhotoGallery")
        End Sub

        Public Function GetAccountEmail(ByVal email As String) As Object
            Return _database.QuerySingle("SELECT Email FROM UserProfiles WHERE LOWER(Email) = LOWER(@0)", email)
        End Function

        Public Sub CreateAccount(ByVal email As String)
            _database.Execute("INSERT INTO UserProfiles (Email, DisplayName, Bio) VALUES (@0, @1, @2)", email, email, "")
        End Sub
    End Class
End Namespace