﻿<h1>Tags</h1>

@If (Model.Count = 1) Then
    @<p>There is one tag.</p>
    Else
    @<p>There are @Model.Count tags.</p>
    End If 

<ul class="thumbnails gallery">
    @For Each tag In Model
        @<li class="tag">
            <a href="@Url.Action("View", New With {.id = tag.TagName})">
                <img alt="Images from @tag.TagName" src="@Url.Action("Thumbnail", "Tag", New With {.id = tag.TagName})" class="thumbnail-no-border" />
                <span class="below-image">@tag.TagName</span>
                <span class="image-overlay">@tag.TagCount photo(s)</span>
            </a>
        </li>
    Next tag
</ul>

