﻿<h1>@Model.TagName</h1>

@If (Model.Photos.Count = 0) Then
    @<p>There are no photos with this tag.</p>
    Else
    If (Model.Photos.Count = 1) Then
        @<p>There is one photo with this tag.</p>
Else
        @<p>There are @Model.Photos.Count photos with this tag.</p>
    End If 
    End If 
    <ul class="thumbnails">
        @For Each photo In Model.Photos
            @<li>
                <a href="@Url.Action("View", "Photo", New With {.id = photo.Id})">
                    <img alt="thumbnail of @Path.GetFileNameWithoutExtension(photo.FileTitle)" src="@Url.Action("Thumbnail", "Photo", New With {.id = photo.Id})" class="thumbnail-border" />
                    <span class="image-overlay">@Path.GetFileNameWithoutExtension(photo.FileTitle)</span>
                </a>
            </li>
        Next photo
    </ul>

    if (Model.SimilarTags.Count > 0) 
        <h2 class="similar-tags">Similar tags:</h2>
        <ul class="tags">
            @For Each t In Model.SimilarTags
                @<li class="tag"><a href="@Url.Action("View", "Tag", New With {.id = t.TagName})">@t.TagName</a></li>
            Next t
        </ul>
    End If
}