﻿<div class="sidebar">
    <dl>
        <dt>Display name</dt>
        <dd>@Model.User.DisplayName</dd>
        <dt>Bio</dt>
        <dd>
            @If (Model.User.Bio IsNot Nothing) Then
                @<text>@Model.User.Bio</text>
                Else
                @<text>This user has not created a biography.</text>
            End If  
        </dd>
    </dl>
    @If (WebMatrix.WebData.WebSecurity.CurrentUserId = Model.User.UserId) Then
        @<p>
            You can <a href="@Url.Action("Default", "User")">edit your profile</a> if you desire.
        </p>
    End If 
</div>
<div class="main">
<h1>@(Model.User.DisplayName)'s Photos</h1>
    @If(Model.Photos.Count = 1) then 
        @<h2>This user has uploaded one photo.</h2>
        Else
        @<h2>This user has uploaded @Model.Photos.Count photos.</h2>
    End If 

    <ul class="thumbnails user-photos">
        @For Each photo In Model.Photos
            @<li>
                <a href="@Url.Action("View", "Photo", New With {.id = photo.Id})">
                    <img alt="thumbnail of @Path.GetFileNameWithoutExtension(photo.FileTitle)" src="@Url.Action("Thumbnail", "Photo", New With {.id = photo.Id})" class="thumbnail-border" />
                    <span class="image-overlay">@Path.GetFileNameWithoutExtension(photo.FileTitle)</span>
                </a>
            </li>
        Next photo
    </ul>
</div>