﻿<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>@Page.Title</title>
        <link href="@Href("~/Styles/Site.css")" rel="stylesheet" />
        <link href="@Href("~/favicon.ico")" rel="shortcut icon" type="image/x-icon" />
    </head>
    <body>
        <div id="banner">
            <p class="site-title"><a href="@Href("~/")">Photo Gallery</a></p>
            <ul id="menu">
                <li class="galleries"><a href="@Href("~/Gallery")">Galleries</a></li>
                <li class="tags"><a href="@Href("~/Tag")">Tags</a></li>
                <li class="account"><a href="@Href("~/User")">Account</a></li>
                <li class="login">
                    @If WebSecurity.IsAuthenticated Then
                        @<text>Welcome <strong>@WebSecurity.CurrentUserName</strong>!
                        <a href="@Href("~/Account/Logout")">Logout</a></text>
                    Else
                        @<text><a href="@Href("~/Account/Login")">Login</a></text>
                    End If
                </li>
            </ul>
        </div>
        <div id="page">
            @RenderBody()
        </div>
        <div id="footer">
            &copy; @DateTime.Now.Year - Photo Gallery 
        </div>
    </body>
</html>
